import { jsx } from "react/jsx-runtime";
import { FlowerLotusIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FlowerLotus = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FlowerLotus", ...props, children: /* @__PURE__ */ jsx(FlowerLotusIcon, { weight: variant }) });
  }
);
FlowerLotus.displayName = "FlowerLotus";
Object.assign(FlowerLotus, { isGdsIcon: true });
export {
  FlowerLotus
};
